Page MenuHomeFreeBSD

Update telepathy to 0.8.0
ClosedPublic

Authored by alonso on Dec 4 2014, 1:47 PM.

Details

Summary

Merge area51's revisions 10180, 10181, 10314, 10315, and partially 10485, 10491 and 10492

Revision Log:

Revision 10180

Update telepathy to 0.8.0.

Ports provided by T.C.Berner via Mailing List. I remove PORTREVISION as this is
a version bump.

Revision 10181

Use KTP_VERSION

Revision 10314

Convert all USE_PYTHON occurances to USES=python.

Revision 10315

Convert USE_AUTOTOOLS=libtool to USES=libtool.

Revision 10485

Remove kdehier references

PORTS Revision 371194 by makc removed kdehier references from two ports.

Original commit message for revision 371194:
  finance/skrooge and devel/kdevplatform:
   - Chase devel/grantlee update
   - remove deprecated USE_KDE4=kdehier

Merge that commit, and while doing so remove any remaining kdehier reference
on it within area51.

Revision 10491

Remove @dirrm lines

Followup the CHANGES entry of 2014-09-22 and remove dirrm(try) lines from
PORTS/* ports' plists, many of which were incomplete or overeager, such as
redland-bindings attempting to delete %%PYTHON_SITELIBDIR%%.

None of these ports install empty directories that I am aware of, so PORTS/*
should be free of dirrms now.

Revision 10492

Remove kdehier references
Test Plan

Patch a recent ports tree and build/package. I have no idea whether or not it works, but there were no complaints on kde@ since it's introduction into area51 in july.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

alonso updated this revision to Diff 2635.Dec 4 2014, 1:47 PM
alonso retitled this revision from to Update telepathy to 0.8.0.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: makc, rakuco.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.
rakuco edited edge metadata.Dec 4 2014, 7:51 PM

I've added several inline comments. I understand some/most of them came from the 0.8.0 patch tcberner sent to the list, but we need to fix them before landing (Tobias still needs some guidance with some of his patches).

net-im/ktp-accounts-kcm/pkg-plist
12 ↗(On Diff #2635)

I think this one is not necessary.

net-im/ktp-common-internals/files/patch-KTp__Logger__plugins__tplogger__pending-tp-logger-logs.cpp
1 ↗(On Diff #2635)

I'd like to know why this one was added -- is it from upstream? What problem does it fix?

net-im/ktp-common-internals/files/patch-kpeople__datasourceplugin__im-persons-data-source.cpp
1 ↗(On Diff #2635)

Ditto.

net-im/ktp-common-internals/pkg-plist
64 ↗(On Diff #2635)

Don't forget to double-check all ports that depend on this one are either being updated in this patch or will have their PORTREVISION bumped since these soversion numbers are changing.

net-im/ktp-contact-list/pkg-plist
45 ↗(On Diff #2635)

This is not sorted.

net-im/ktp-desktop-applets/Makefile
9 ↗(On Diff #2635)

I'd rather assign this to kde@.

17 ↗(On Diff #2635)

Should be USES=tar:bzip2.

net-im/ktp-kded-integration-module/pkg-plist
45 ↗(On Diff #2635)

Not sorted.

net-im/ktp-text-ui/Makefile
8 ↗(On Diff #2635)

This looks bogus, as the directory name is not going to change with every PORTREVISION change. Looking at the tarball here, the intention was just to add another ".1" to the directory name.

net-im/plasma-applet-ktp/Makefile
14–15 ↗(On Diff #2635)

This is reverting a valid change.

net-im/telepathy-logger-qt4/Makefile
6 ↗(On Diff #2635)

Not sure if this change is actually necessary. Referencing download.kde.org directly in MASTER_SITES is usually a sign that you've done something wrong.

net-im/telepathy-logger/distinfo
1 ↗(On Diff #2635)

This looks like a downgrade. Plus the port is not even owned by us, so it's probably better to actually remove it from area51 instead.

alonso added inline comments.Dec 5 2014, 11:30 AM
net-im/ktp-accounts-kcm/pkg-plist
12 ↗(On Diff #2635)

It's added in src/KCMTelepathyAccounts/CMakeLists.txt with kde4_add_library and uses GENERIC_LIB_SOVERSION, which IIRC we were once patching in kde-env or kdelibs. I can't find the definition of either ATM but I ll give this more analysis later.

net-im/ktp-common-internals/files/patch-KTp__Logger__plugins__tplogger__pending-tp-logger-logs.cpp
1 ↗(On Diff #2635)

I got this patch from Tobias C. Berner's original mail and took it because it doesn't seem wrong to me to do a null pointer check before accessing a member (in line 25).

I have no clue where this patch is from or whether or not it actually fixes something though.

Added more comments.

If i regenerate/reupload the patch, are comments lost?

net-im/ktp-accounts-kcm/pkg-plist
12 ↗(On Diff #2635)

... where later is now (I wasn't aware code comments aren't commited until i click on submit on the bottom).

It's readt from ${PREFIX}/share/apps/cmake/modules/KDE4Defaults.cmake which is installed by kdelibs and contains the kde(libs) version.

net-im/ktp-text-ui/Makefile
8 ↗(On Diff #2635)

I think there was confusion due to it not residing in the path KDE's SC does.

I'm talking to tcberner on IRC to figure out where those new patches came from.

I've updated one of the patches and removed another in area51 r10500.

alonso added inline comments.Dec 8 2014, 11:17 AM
net-im/ktp-common-internals/pkg-plist
64 ↗(On Diff #2635)

All PORTS that have LIB_DEPENDS on this (and telepathy-qt4) are part of the commit and getting their version bumped, so PORTREVISION incrementing should not be necessary

net-im/ktp-text-ui/Makefile
8 ↗(On Diff #2635)

It should be ${WRKDIR}/${PORTNAME}-${PORTVERSION}.1 because the tarball contains that path ...

alonso added inline comments.Dec 8 2014, 11:18 AM
net-im/ktp-common-internals/pkg-plist
64 ↗(On Diff #2635)

s/part of the commit/part of this review/

alonso updated this revision to Diff 2679.Dec 8 2014, 11:21 AM

Update the patch to contain the recent area51 commits affecting telepath.

rakuco accepted this revision.Dec 8 2014, 2:08 PM
rakuco edited edge metadata.

Looks fine to me, thanks. Don't forget you need to plug any new ports into the build by editing the category's Makefile.

This revision is now accepted and ready to land.Dec 8 2014, 2:08 PM
alonso closed this revision.Dec 16 2014, 10:26 AM
alonso updated this revision to Diff 2761.

Closed by commit rP374791 (authored by @alonso).